using System;
using UnityEngine;

[CreateAssetMenu(fileName = "GameplayChannel", menuName = "SheepRoot/GameplayChannel", order = 0)]
public class GameplayChannel : ScriptableObject
{
    public Action onSheepStruck = null;

    private void OnEnable()
    {
        onSheepStruck = () => { };
    }
}
